Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.util.text
Class EqualsFieldPart

    java.lang.Object
      org.apache.fop.util.text.IfFieldPart
          org.apache.fop.util.text.EqualsFieldPart

All Implemented Interfaces:
  AdvancedMessageFormat.Part

    public class EqualsFieldPart

extends IfFieldPart

Defines an "equals" field part that can compare a field's string value against another string. It returns either of two possible values attached as additional part parameters. Example: `{field,equals,new,This is new!,This is old!}`

Nested Class Summary
`static class` | `EqualsFieldPart.Factory` Part factory for "equals".

Field Summary

Fields inherited from class org.apache.fop.util.text.IfFieldPart
`elseValue, fieldName, ifValue`

Constructor Summary
`EqualsFieldPart(java.lang.String fieldName, java.lang.String values)` Creates a new "equals" field part.

Method Summary
`protected boolean` | `isTrue(java.util.Map params)` Indicates whether the field's value is true.
`protected void` | `parseValues(java.lang.String values)` Parses the parameter values
`java.lang.String` | `toString()`

Methods inherited from class org.apache.fop.util.text.IfFieldPart
`isGenerated, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EqualsFieldPart

    public EqualsFieldPart(java.lang.String fieldName,
                           java.lang.String values)

  Creates a new "equals" field part.

  Parameters:
    `fieldName` - the field name
    `values` - the unparsed parameter values

Method Detail

### parseValues

    protected void parseValues(java.lang.String values)

  Parses the parameter values

  Overrides:
    `parseValues` in class `IfFieldPart`
  Parameters:
    `values` - the unparsed parameter values

### isTrue

    protected boolean isTrue(java.util.Map params)

  Indicates whether the field's value is true. If the field is not a boolen, it is true if the field is not null.

  Overrides:
    `isTrue` in class `IfFieldPart`
  Parameters:
    `params` - the message parameters
  Returns:
    true the field's value as boolean

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `IfFieldPart`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.